## org.eclipse.datatools.enablement.sybase.ui
Class SybaseDatabaseSetting

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.SybaseDatabaseSetting

    public class SybaseDatabaseSetting

extends java.lang.Object

Author:
  Cong Chen

Method Summary
`java.lang.String` `getConnectionProfileId()`
`java.lang.String` `getDatabaseName()`
`boolean` `isShowOwner()`
`boolean` `isShowSchema()`
`static SybaseDatabaseSetting` `newInstance(java.lang.String profileId, java.lang.String databaseName)`
`void` `setConnectionProfileId(java.lang.String connectionProfileId)`
`void` `setDatabaseName(java.lang.String databaseName)`
`void` `setShowOwner(boolean isShowOwner)`
`void` `setShowSchema(boolean isShowSchema)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static final SybaseDatabaseSetting newInstance(java.lang.String profileId,
                                                          java.lang.String databaseName)

### getDatabaseName

    public java.lang.String getDatabaseName()

### setDatabaseName

    public void setDatabaseName(java.lang.String databaseName)

### getConnectionProfileId

    public java.lang.String getConnectionProfileId()

### setConnectionProfileId

    public void setConnectionProfileId(java.lang.String connectionProfileId)

### isShowSchema

    public boolean isShowSchema()

### setShowSchema

    public void setShowSchema(boolean isShowSchema)

### isShowOwner

    public boolean isShowOwner()

### setShowOwner

    public void setShowOwner(boolean isShowOwner)